Please make sure to update to WPML 4.3.6 and check our list of Known Issues before reporting

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

Our next available supporter will start replying to tickets in about 5.31 hours from now. Thank you for your understanding.

This thread is resolved. Here is a description of the problem and solution.

Finally, after very long (and complex) development, ICanLocalize clients can upgrade WPML to its current version and continue to enjoy a streamlined translation workflow.

Problem :

It wasn't possible to use ICanLocalize translation service with the WPML greater than 3.2, if you have done some translation through the service already.

Solution :

Read carefully this article : https://wpml.org/2015/09/migration-for-icanlocalize-clients-to-wpml-3-2-x/

Just to summarize about how to Update to the Current WPML Version :

1. Take a backup 2. Deactivate and remove an old version of WPML plugins 3. Download the newest ones from here : https://wpml.org/account/downloads/ 4. Install and activate the latest WPML plugins (WPML 3.2.7, WPML ST 2.2.6, WPML TM 2.0.5) 5. Download plugin "Migrate ICanLocalize Translation to WPML 3.2" : https://wpml.org/download/migrate-icanlocalize-translation-to-wpml-3-2/ 6. Install and activate it. 7. Go to the new menu that the plugin created for the migration process WPML->Migrate ICanLocalize Translation to WPML 3.2 8. You will see two buttons. First, click to migrate the account to WPML 3.2. This runs almost instantly. Then, click to migrate the jobs. 9. You no longer need the migration plugin. Go to Plugins and deactivate it.

If there are any problems in this migration process (there should not be), the migration plugin will report them on the screen. Create a new ticket in WPML technical support forum, copy what you see and paste in the forum thread. Be sure to explain what you are doing and what you are seeing.

This topic contains 218 replies, has 59 voices.

Last updated by Andrey 4 years, 3 months ago.

Assigned support staff: Andrey.

Author Posts
June 1, 2015 at 9:23 am #629574

e2O

great

June 3, 2015 at 6:38 am #631021

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

@ajitp, if you need help with downgrading please fill in the access credentials in the private field.

June 15, 2015 at 11:51 am #638392

Yotam

Hi

I was referred to this thread in order to downgrade my version of WPML.
https://wpml.org/forums/topic/cant-set-default-language-in-string-translation/

I need to get the "set default language" for string translation.
I was told right now this is only possible with a downgrade.

BTW, I have a fresh install of WPML (no update) so I'm not sure if I can still downgrade.

June 15, 2015 at 12:32 pm #638453

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

@yotam, you do not need to downgrade the version. The best practice is to keep all strings in English and then make translations to another languages.

If your default language is other than English, the strings anyway should be set to English, this is what 3.2 does internally.

Sorry for the misunderstanding.

June 15, 2015 at 12:42 pm #638462

Yotam

Hi

Thanks for the info.
Can you update your documentation to reflect this fact, I spent half a day running around this issue.

"If your default language is other than English, the strings anyway should be set to English, this is what 3.2 does internally."
What do you mean by "...the strings anyway should be set to English"?
How should I set them?
like this?

define('WPLANG', 'en_US');
June 15, 2015 at 2:06 pm #638601

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

In one of the next version WPML String Translation plugin will change even more so the documentation will adjust accordingly. At the moment WPML 3.2 automatically sets strings context to English, no need to take any further actions.

June 18, 2015 at 10:18 am #641392

Baris

hi ,
I have 2 language on my sites. (English and turkish)
my default web sites english. secondlanguage is turkish.When I upgrade to wpml 3.2. turkish website homepage posts are gone.

June 18, 2015 at 10:19 am #641396

Baris

hi ,
I have 2 language on my sites. (English and turkish)
my default web sites english. secondlanguage is turkish.When I upgrade to wpml 3.2. turkish website homepage posts are gone.

June 18, 2015 at 11:13 am #641426

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

@baris, let me kindly point to the title of this thread and remind everyone that this is only for downgrading requests. In order to ensure that your problem gets the attention it deserves, please open a new ticket detailing your issue.

June 23, 2015 at 11:35 am #644295

Robert

I have a current ticket logged - https://wpml.org/forums/topic/some-pages-on-site-showing-wrong-language/#post-644228

But for now would it be possible to get the previous version to the latest release so we can downgrade to see if it fixes our issues please?

June 23, 2015 at 3:50 pm #644563

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

Hello @robert, if you need the downgrade, I can help you with this. In a new version 3.2 some database tables of WPML plugin have been changed, so you will need my help on this.

But if you think that the problem was there before, then on my opinion no need to downgrade a version. The best way is try to solve it with a current version of the plugin.

June 24, 2015 at 5:50 pm #645543

Holli

Hello I need assistance in downgrading my version of WPML.

I can give FTP access but need to know a private way to give you that information.

Thank you,
Crystal Shirey
cshirey@trevocorporate.com

June 25, 2015 at 9:39 am #646052

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

Hello @Holli, please add your access credentials in the private field, which will be visible only for you and me after my message.

June 26, 2015 at 7:21 am #646784

Andrey
Supporter

Languages: English (English ) Russian (Русский )

Timezone: Europe/Kiev (GMT+02:00)

@Holli, I've made the downgrade. Now your site is running 3.1.9.7 version of WPML plugin.

June 26, 2015 at 8:06 am #646823

Robert

How can we downgrade? We are currently waiting on a fix but it seems that is taking some time. We only need to roll back one version as it was working correctly before the latest upgrade.